Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • 22:12

    greenkeeper[bot] on mocha-6.2.2

    (compare)

  • 21:18

    greenkeeper[bot] on mocha-6.2.2

    chore(package): update mocha to… (compare)

  • 14:53

    chasenlehara on gh-pages

    Updating the site Updating the site Updating the site (compare)

  • 13:06

    chasenlehara on master

    Update for the October 2019 sur… (compare)

  • 09:48
    chasenlehara edited #1050
  • Oct 16 20:17
    matthewp commented #1198
  • Oct 14 14:09
    f-ricci starred donejs/donejs
  • Oct 11 10:21
    ayissijoachim starred donejs/donejs
  • Oct 09 00:21
    ix4 starred donejs/donejs
  • Oct 07 09:22
    greenkeeper[bot] commented #1197
  • Oct 07 09:22

    greenkeeper[bot] on cross-spawn-7.0.1

    fix(package): update cross-spaw… (compare)

  • Oct 03 15:33

    cherifGsoul on gh-pages

    Updating the site (compare)

  • Oct 03 15:01

    cherifGsoul on fix-in-depth-pmo-guide

    (compare)

  • Oct 03 15:01

    cherifGsoul on master

    Update guide to fix menu item i… Fix highlighting Merge pull request #1199 from d… (compare)

  • Oct 03 15:01
    cherifGsoul closed #1199
  • Oct 03 15:01
    cherifGsoul closed #1195
  • Oct 02 19:15
    coveralls commented #1199
  • Oct 02 18:55
    cherifGsoul synchronize #1199
  • Oct 02 18:55

    cherifGsoul on fix-in-depth-pmo-guide

    Fix highlighting (compare)

  • Oct 02 17:51
    coveralls commented #1199
Kevin Phillips
@phillipskevin
yeah, it does
Blake Israel
@bisrael
do i need to start over? or just upgrade npm?
Kevin Phillips
@phillipskevin
we test donejs 1.0 on Node 4, 6, and 7
you can just upgrade npm and reinstall your node_modules
Blake Israel
@bisrael
great, we try to use the LTS nodejs
Kevin Phillips
@phillipskevin
rm -rf node_modules && npm install
Blake Israel
@bisrael
getting an error: SyntaxError: Error loading "package.json!npm" at http://localhost:8080/package.json
Unexpected token < in JSON at position 0
at JSON.parse (<anonymous>)
at Object.processPkgSource (npm-crawl.js:22)
at FetchTask.getPackage (npm-crawl.js:583)
at FetchTask.isCompatibleVersion (npm-crawl.js:568)
at promise.loader.fetch.then.task.error (npm-crawl.js:549)
at tryCatchReject (steal.js:1183)
at runContinuation1 (steal.js:1142)
at Fulfilled.when (steal.js:930)
at Pending.run (steal.js:821)
at Scheduler._drain (steal.js:97)
at Scheduler.drain (steal.js:62)
at MutationObserver.run (steal.js:268) "SyntaxError: Error loading "package.json!npm" at http://localhost:8080/package.json
that occurs on the initial page load
Kevin Phillips
@phillipskevin
did you remove the "npmAlgorithm": “nested”?
after you updated npm
Blake Israel
@bisrael
no, should i?
Kevin Phillips
@phillipskevin
yeah
that’s only needed for npm < 3
Blake Israel
@bisrael
nice!
now we're cooking with fire!
thanks for you help, @phillipskevin
Kevin Phillips
@phillipskevin
you’re welcome
Blake Israel
@bisrael
is there an editor that nicely supports .component files?
Kevin Phillips
@phillipskevin
I’ve heard https://github.com/vuejs/vue-syntax-highlight works will in Sublime
Nico R.
@nriesco
Hi, any tips on how to include font-awesome in a donejs project? Including bootstrap was easy but font-awesome didn’t work for me
Kevin Phillips
@phillipskevin
seems like it should just work… what issue did you have?
Chasen Le Hara
@chasenlehara
Just published our release article for DoneJS 1.0 🎉
DoneJS.com has been updated for 1.0 too :D
Nico R.
@nriesco
@phillipskevin another developer here made it work:
npm install font-awesome —save
<can-import from="font-awesome/css/font-awesome.min.css!" />
Matthew Phillips
@matthewp
sweet
smart idea
Nico R.
@nriesco
then add that to your index.md
Kevin Phillips
@phillipskevin
nice
Nico R.
@nriesco
I spent more than 2 hours trying and this guy solved it in minutes.. that’s why is better to ask first sometimes (or know your weaknesses :-)
Matthew Phillips
@matthewp
:)
be sure to retweet the donejs blog post!
Chasen Le Hara
@chasenlehara
👏
Nico R.
@nriesco
what does the ! mean when importing a file? like this one: <can-import from="font-awesome/css/font-awesome.min.css!" />
Kevin Phillips
@phillipskevin
it means to use a plugin based on the file extension
but it’s not needed anymore
steal will figure it out without the !
Nico R.
@nriesco
good to know thanks
Julian
@pYr0x
i think the hangout is full today
is there a plan for getting more people inside the hangout?
Chasen Le Hara
@chasenlehara
We’re live streaming the contributors meeting right now: https://www.youtube.com/watch?v=5z6Niq2ly2s
Matthew Phillips
@matthewp
:D
DoneJS 1.0 is out! 🤠😎🤡😺🙌
Mohamed Cherif Bouchelaghem
@cherifGsoul
:)
Nico R.
@nriesco
Hi, I started having trouble with my tests. Even before moving to donejs 1
using the default generated structure for a component:
(I get a timeout error while executing the tests)